import { IInitData, IStackSdk, OnEntryChangeCallback, OnEntryChangeCallbackUID, OnEntryChangeConfig } from "./utils/types";
import LivePreview from "./live-preview";
export declare class ContentstackLivePreview {
    static livePreview: LivePreview | null;
    static userConfig: Partial<IInitData> | null;
    static subscribers: {
        [uid: string]: OnEntryChangeCallback;
    };
    static init(userConfig?: Partial<IInitData>): Promise<LivePreview> | undefined;
    private static publish;
    private static subscribe;
    /**
     * @type {function}
     * @param onChangeCallback A function param to fetch the data from contentstack database
     * @param config An optional object param, pass {skipInitialRender:Boolean} to skip init call to onChangeCallback
     * @returns Subscribed Callback UID
     */
    static onEntryChange(onChangeCallback: OnEntryChangeCallback, config?: OnEntryChangeConfig): OnEntryChangeCallbackUID;
    /**
     * @type {function}
     * @param onChangeCallback A function param to fetch the data from contentstack database on content change.
     * @returns Subscribed Callback UID
     */
    static onLiveEdit(onChangeCallback: OnEntryChangeCallback): OnEntryChangeCallbackUID;
    static unsubscribeOnEntryChange(callback: string | OnEntryChangeCallback): void;
    static getGatsbyDataFormat(sdkQuery: IStackSdk, prefix: string): Promise<any>;
    static getSdkVersion(): string;
}
export default ContentstackLivePreview;
//# sourceMappingURL=contentstack-live-preview-HOC.d.ts.map